NL(1)

NAZWA
nl - numeruje wiersze plików

SKŁADNIA
nl [OPCJA]... [PLIK]...

OPIS

Wypisuje każdy z PLIKÓW na standardowe wyjście, wraz z dodanymi numerami wierszy.

Jeśli nie podano PLIKU lub jako PLIK podano -, czyta standardowe wejście.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

-b, --body-numbering=STYL
    używa STYLU do numerowania wierszy treści

-d, --section-delimiter=ZZ
    używa ZZ do oddzielania stron logicznych

-f, --footer-numbering=STYL
    używa STYLU do numerowania wierszy stopek

-h, --header-numbering=STYL
    używa STYLU do numerowania wierszy nagłówków

-i, --line-increment=LICZBA
    zwiększa numer każdego wiersza o podaną wartość

-l, --join-blank-lines=LICZBA
    grupuje LICZBĘ pustych wierszy licząc je jako jeden

-n, --number-format=FORMAT
    wybiera FORMAT numerowania wierszy

-p, --no-renumber
    nie zaczyna numeracji wierszy od nowa na początkach stron logicznych

-s, --number-separator=ŁAŃCUCH
    dodaje ŁAŃCUCH po (ewentualnym) numerze wiersza

-v, --starting-line-number=NUMER
    numer pierwszego wiersza na każdej stronie logicznej

-w, --number-width=LICZBA
    używa LICZBY kolumn na numerację wierszy

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

Domyślnie wybierane są są następujące opcje: -v1 -i1 -l1 -sTAB -w6 -nrn -hn -bt -fn. ZZ są to dwa znaki, oddzielające strony logiczne, przy czym jeśli drugi nie zostanie podany to przyjmowana jest wartość :. Aby uzyskać odwrotny ukośnik, należy użyć \\. STYL jest jednym z następujących:

a   numerowanie wszystkich wierszy

t   numerowanie jedynie niepustych wierszy

n   brak numerowania wierszy

pBRE
    numeruje jedynie wiersze pasujące do podstawowego wyrażenia regularnego ("BRE")

FORMAT jest jednym z:

ln  wyrównanie do lewej, bez początkowych zer

rn  wyrównanie do prawej, bez początkowych zer

rz  wyrównanie do prawej, z zerami na początku

AUTOR
Napisane przez Scotta Bartrama i Davida MacKenzie.

ZGŁASZANIE BŁĘDÓW
Strona internetowa z pomocą GNU coreutils: <http://www.gnu.org/software/coreutils/>
Zgłoszenia błędów w tłumaczeniu nl proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2016 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
Pełna dokumentacja na stronie: <http://www.gnu.org/software/coreutils/nl>
lub lokalnie, za pomocą info '(coreutils) nl invocation'

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Gwidon S. Naskrent (PTM) <naskrent@hoth.amu.edu.pl>, Wojtek Kotwica (PTM) <wkotwica@post.pl> i Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.25 oryginału.